Loading...
Searching...
No Matches
hmi::ExternalBeeper::StateChangedEvent Struct Reference

Event: beeper state has changed. More...

`import <ExternalBeeper.idl;`

Inheritance diagram for hmi::ExternalBeeper::StateChangedEvent:

## Public Attributes

State | oldState
State | newState
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: beeper state has changed.

Definition at line 30 of file ExternalBeeper.idl.

## Member Data Documentation

## newState

State hmi::ExternalBeeper::StateChangedEvent::newState

Definition at line 32 of file ExternalBeeper.idl.

## oldState

State hmi::ExternalBeeper::StateChangedEvent::oldState

Definition at line 31 of file ExternalBeeper.idl.

The documentation for this struct was generated from the following file:

- ExternalBeeper.idl